/**

 * 会员管理

 */

app_touchmedia

    .controller("ConsultApposCtrl", ["$scope", "Common", "Config","Consult", function ($scope, Common, Config,Consults,AdminEnquirysCtrl) {

        // 监控列表数据

        $scope.$watch(function () {

            return Consults.getDatas();

        }, function (json) {

            $scope.currentPageStores = json.data;



            if (json.currentPage > 1) {

                return false;

            }

            // 以下变量不能重复赋值,否则会出现页码跳转会一直跳转至第1页

            $scope.totalItems = json.totalFound;

            $scope.foundRecordNum = json.totalFound;

            $scope.totalRecordNum = json.total;



            $scope.numPerPage = Config.pageSize;

            $scope.numPerPageOpt = Config.numPerPageOptions;

            $scope.currentPage = 1;



        });

        Consults.getList(1, Config.pageSize);



        $scope.showDetail = function($event){



        };





        // 更改每页显示记录数

        $scope.onNumPerPageChange = function () {

            Consults.getList(1, $scope.numPerPage);

        };



        // 页码点击事件

        $scope.select = function (currentPage) {

            Consults.getList(currentPage, $scope.numPerPage);

        };





        //查询

        $scope.search = function () {

            key = new Array();
            key['start_time'] = $scope.start_time;

            key['end_time'] = $scope.end_time;
            Consults.getList(1, Config.pageSize, key);

        };



        // 删除

        $scope.delete = function (id, name) {



            Common.dialog('modalDelete.html', 'ModalEnquiryDeleteCtrl', {id: id, name: name});

        };





        // 禁用

        $scope.status = function (id, status) {

            Common.dialog('modalStatus.html', 'ModalAdStatusCtrl', {id: id, status: status});

        };



        //设为已回复

        $scope.is_reply = function(id){

            var data = {

                id : id,

                is_reply :1,

                reply :'replyed outwebsite',

            };

            Enquirys.doEdit(data, function (res) {

                var params = Enquirys.getParams();

                Enquirys.getList(params.page, params.pagesize, params.keywords);

            })

        }



        //编辑

        $scope.edit = function(id){

            window.open ('admin/consult/'+id, 'newwindow', 'height=600, width=1000, top=0,left=0, toolbar=no, menubar=no, scrollbars=no, resizable=no,location=no, status=no')

        }

    }])

    //添加、编辑

    /*.controller('ModalEnquirysAddCtrl',["$scope","Common","items","Enquirys", "$uibModalInstance",function($scope,Common,items,Enquirys,$uibModalInstance){

        var currentId = items ? items.id : 0;
        var members = items.members;
        // 账号启用状态

        $scope.username = members.username;
        $scope.real_name = items.real_name;

        $scope.pro_address = items.pro_address;

        $scope.pro_status = items.pro_status;

        $scope.pro_type = items.pro_type;

        $scope.mobile = items.mobile;

        $scope.agency_name = items.agency_name;

        $scope.canSubmit = function () {

            if(items.is_reply == 1)

                return false;

            return $scope.form_admin_roles.$valid;

        };

        $scope.cancel = function () {

            $uibModalInstance.dismiss("cancel");

        };



        $scope.ok = function () {

            var data = {

                id : currentId,

                name : $scope.name,

                email : $scope.email,

                title : $scope.title,

                reply : $scope.reply,

            };



            Enquirys.doEdit(data, function (res) {

                if (res['error'] == 0) {

                    var params = Enquirys.getParams();

                    Enquirys.getList(params.page, params.pagesize, params.keywords);



                    $uibModalInstance.dismiss("cancel");

                    Common.message('回复成功.');

                } else {

                    $scope.submitError = true;

                    $scope.submit_errors = '回复失败,请刷新页面后重试.';

                }

            }, function (err) {

                $scope.submitError = true;



                var submit_errors = [];

                $.each(err.data, function (key, val) {

                    submit_errors.push(val.join('<br />'));

                });

                $scope.submit_errors = submit_errors.join('<br />');

            });

        };



    }])*/

    //禁用操作

    .controller('ModalAdStatusCtrl',["$scope","$uibModalInstance","Common","items","Ads",function($scope,$uibModalInstance, Common, items, Ads){

        var opName = (items.status == 0) ? '启用' : '禁用';

        $scope.statusOp = opName;

        $scope.statusColor = (items.status == 0) ? '#3b8cff' : '#FF0000';



        $scope.ok = function () {

            var status = (items.status == 0) ? 1 : 0;

            Ads.resource().status({id: items.id}, {status: status}, function (res) {

                var msg = '';

                if (res['error'] == 0) {

                    var params = Ads.getParams();

                    Ads.getList(params.page, params.pagesize, params.keywords);



                    msg = '已' + opName + '此广告.';

                } else {

                    msg = res['msg'];

                }



                $uibModalInstance.dismiss("cancel");

                Common.message(msg);

            }, function (err) {

                $uibModalInstance.dismiss("cancel");

                Common.message(err.data);

            });

        };

        $scope.cancel = function () {

            $uibModalInstance.dismiss("cancel");

        };

    }])

    // 删除操作

    .controller("ModalEnquiryDeleteCtrl", ["$scope", "$uibModalInstance", "Consult", "Common", "items", function ($scope, $uibModalInstance, Consult, Common, items) {

        $scope.userName = items.username;



        $scope.ok = function () {

            Consult.resource().delete({id: items.id}, function (res) {

                var msg = '';

                if (res['error'] == 0) {

                    var params = Consult.getParams();

                    Consult.getList(1, params.pagesize, params.keywords);



                    msg = '删除成功.';

                } else {

                    msg = res['msg'];

                }



                $uibModalInstance.dismiss("cancel");

                Common.message(msg);

            }, function (err) {

                $uibModalInstance.dismiss("cancel");

                Common.message(err.data);

            });

        };

        $scope.cancel = function () {

            $uibModalInstance.dismiss("cancel");

        };

    }])

;
